/* Popup Background */
#popupOverlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.8);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Popup Container */
.popupContent {
    position: relative;
    max-width: 95vw;
    max-height: 95vh;
    border-radius: 10px;
    overflow: hidden;
}

/* Image Responsive to Screen */
.popupContent img {
    width: 100%;
    height: 100%;
    max-width: 95vw;
    max-height: 95vh;
    object-fit: contain; /* IMPORTANT */
    display: block;
}

/* Close Button */
.closeBtn {
    position: absolute;
    top: 10px;
    right: 10px;
    background: rgba(0,0,0,0.6);
    color: #fff;
    font-size: 22px;
    border-radius: 50%;
    width: 32px;
    height: 32px;
    text-align: center;
    line-height: 32px;
    cursor: pointer;
    z-index: 10;
}
.marquee-container {
          width: 100%;
          overflow: hidden;
          white-space: nowrap;
          box-sizing: border-box;
          padding: 10px 0;
          background-color: #8C2637;
          border: 1px solid #ccc;
		  background: #8C2637;
		 
        }

        .marquee-content {
          display: inline-block;
          padding-left: 100%;
          animation: scrollRight 45s linear infinite;/* Animation runs constantly */
          font-color:white;
		  font-family:sans-serif;
		  font-weight:60px;
        }

        /* THIS IS THE KEY PART: Pause the animation when hovered */
        .marquee-content:hover {
          animation-play-state: paused;
        }

        @keyframes scrollRight {
          0% {
            transform: translateX(-100%);
          }
          100% {
            transform: translateX(100%);
          }
        }
        
        /* Optional styling for your links/spans */
        .marquee-content a, .marquee-content span {
            margin: 0 10px;
            text-decoration: none;
            color: #FFFFFF;
        }
		.floating-btn {
        position: relative;
        display: inline-block;
        padding: 12px 25px;
        background: #f5f5f5;
        color: #f5f5f5;
        font-size: 18px;
        border-radius: 25px;
        text-decoration: none;
        font-family: Lato;
        font-weight: bold;
		font-color:white;
        animation: blink 1s infinite;
    }
	@keyframes blink {
        0%   { opacity: 1; }
        50%  { opacity: 0.2; }
        100% { opacity: 1; }
    }

